## facter 3.10.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2.2)
project(FACTER VERSION 3.10.0)

# Set this early, so it's available. AIX gets weird, man.
if("${CMAKE_SYSTEM_NAME}" MATCHES "AIX")
    set(AIX TRUE)
endif()

if (NOT CMAKE_BUILD_TYPE)
    message(STATUS "Defaulting to a release build.")
    set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." FORCE)
endif()

option(YAMLCPP_STATIC "Use yaml-cpp's static libraries" OFF)
option(BUILD_SHARED_LIBS "Build libfacter as a shared library" ON)

set(FACTER_PATH "" CACHE PATH "Specify the location to look for specific binaries before trying PATH.")
if (FACTER_PATH)
    # Specify a preferred location for binary lookup that will be prioritized over PATH.
    file(TO_CMAKE_PATH ${FACTER_PATH} FACTER_PATH_FIXED)
    add_definitions(-DFACTER_PATH="${FACTER_PATH_FIXED}")
    message(STATUS "Prioritizing binary lookup in ${FACTER_PATH_FIXED}")
endif()

set(FACTER_RUBY "" CACHE FILEPATH "Specify the location of libruby at compile-time, bypassing dynamic lookup.")
if (FACTER_RUBY)
    file(TO_CMAKE_PATH ${FACTER_RUBY} FACTER_RUBY_PATH)
    add_definitions(-DFACTER_RUBY="${FACTER_RUBY_PATH}")
    message(STATUS "Fixing lookup for libruby to ${FACTER_RUBY_PATH}")
endif()

set(AIO_AGENT_VERSION "" CACHE STRING "Creates an aio_agent_version fact with the specified value.")
if (AIO_AGENT_VERSION)
    add_definitions(-DAIO_AGENT_VERSION="${AIO_AGENT_VERSION}")
    message(STATUS "Adding fact aio_agent_version=${AIO_AGENT_VERSION}")
endif()

enable_testing()

list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")

if ("${CMAKE_SYSTEM_NAME}" MATCHES "Darwin")
    # Allow searching in boxen installed homebrew directories
    # http://stackoverflow.com/questions/1487752/how-do-i-instruct-cmake-to-look-for-libraries-installed-by-macports
    set(CMAKE_LIBRARY_PATH ${CMAKE_LIBRARY_PATH} /opt/boxen/homebrew/lib)
    set(CMAKE_INCLUDE_PATH ${CMAKE_INCLUDE_PATH} /opt/boxen/homebrew/include)
endif()

include(FeatureSummary)

SET(LEATHERMAN_COMPONENTS locale catch nowide logging util file_util dynamic_library execution ruby rapidjson)

# We look for curl early, because whether or not we link to the leatherman curl library
# is dependant on whether or not we find curl on the system.
if ((("${CMAKE_SYSTEM_NAME}" MATCHES "Linux|OpenBSD") OR WIN32) AND NOT WITHOUT_CURL)
    find_package(CURL)
    if (CURL_FOUND)
        add_definitions(-DUSE_CURL)
        list(APPEND LEATHERMAN_COMPONENTS curl)
    endif()
    set_package_properties(CURL PROPERTIES DESCRIPTION "A free and easy-to-use client-side URL transfer library" URL "http://curl.haxx.se/libcurl/")
    set_package_properties(CURL PROPERTIES TYPE OPTIONAL PURPOSE "Enables facts that require HTTP.")
endif()

if (WIN32)
    list(APPEND LEATHERMAN_COMPONENTS windows)
endif()

find_package(Leatherman REQUIRED COMPONENTS ${LEATHERMAN_COMPONENTS})

# Now that we have leatherman, we can pulll in its options file, which
# we need for finding all our other libraries.
include(options)

if (LEATHERMAN_USE_LOCALES)
    add_definitions(-DLEATHERMAN_I18N)
    SET(BOOST_COMPONENTS locale)
endif()

# We use program_options, system, filesystem, date_time, and regex directly. Testing uses thread and chrono.
list(APPEND BOOST_COMPONENTS program_options system filesystem date_time regex thread chrono)

find_package(Boost 1.54 REQUIRED COMPONENTS ${BOOST_COMPONENTS})
# date_time and regex need threads on some platforms, and find_package Boost only includes
# pthreads if you require the Boost.Thread component.
find_package(Threads)

find_package(Ruby 1.9)

find_package(YAMLCPP REQUIRED)
if (NOT WITHOUT_OPENSSL)
    find_package(OPENSSL)
endif()
if ("${CMAKE_SYSTEM_NAME}" MATCHES "Linux" AND NOT WITHOUT_BLKID)
    find_package(BLKID)
endif()

find_package(CPPHOCON REQUIRED)

find_package(WHEREAMI)
if (WHEREAMI_FOUND)
    add_definitions(-DUSE_WHEREAMI)
endif()

if (NOT WITHOUT_JRUBY AND NOT WIN32)
    find_package(JNI)
    set_package_properties(JNI PROPERTIES DESCRIPTION "Java Native Interface (JNI) is a programming framework that enables Java code running in a Java Virtual Machine (JVM) to call and be called by native applications.")
    set_package_properties(JNI PROPERTIES TYPE OPTIONAL PURPOSE "Enables JRuby support in Facter.")

    if (JNI_FOUND)
        find_package(Java)
        set_package_properties(Java PROPERTIES DESCRIPTION "Java compiler for JNI.")
        set_package_properties(Java PROPERTIES TYPE OPTIONAL PURPOSE "Enables JRuby support in Facter.")

        if (Java_JAVAC_EXECUTABLE)
            set(JRUBY_SUPPORT TRUE)
            set(CMAKE_JAVA_COMPILE_FLAGS -source 1.6 -target 1.6)
            add_definitions(-DUSE_JRUBY_SUPPORT)
        endif()
    endif()
endif()

# Display a summary of the features
include(FeatureSummary)
feature_summary(WHAT ALL)

# Set RPATH if not installing to a system library directory
list(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${CMAKE_INSTALL_PREFIX}/lib" INSTALL_IS_SYSTEM_DIR)
if ("${INSTALL_IS_SYSTEM_DIR}" STREQUAL "-1")
    set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
endif()

# Pull in common cflags setting from leatherman
include(cflags)
set(FACTER_CXX_FLAGS "${LEATHERMAN_CXX_FLAGS}")
add_definitions(${LEATHERMAN_DEFINITIONS})

# Enable DEP/ASLR switches on windows versions
if (WIN32)
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--nxcompat -Wl,--dynamicbase")
endif()

#
# Add cpplint and cppcheck targets
#
file(GLOB_RECURSE ALL_SOURCES lib/src/*.cc lib/inc/*.hpp lib/inc/*.h exe/*.cc exe/*.hpp exe/*.h)
add_cpplint_files(${ALL_SOURCES})
enable_cpplint()

add_cppcheck_dirs("${PROJECT_SOURCE_DIR}/lib" "${PROJECT_SOURCE_DIR}/exe")
enable_cppcheck()

# Pull in helper macros for working with leatherman libraries
include(leatherman)

add_subdirectory(lib)
add_subdirectory(exe)
add_subdirectory(locales)

# Add test executables for unit testing
add_test(NAME "libfacter\\ tests" COMMAND libfacter_test)
if (RUBY_FOUND)
    find_program(BUNDLER_PATH NAMES bundle.bat bundle)
    if (BUNDLER_PATH)
        add_test(NAME "libfacter\\ specs" COMMAND ${BUNDLER_PATH} exec rspec WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}/lib")
    endif()
endif()
add_test(NAME "facter\\ smoke" COMMAND facter)

# Install the man page
if ("${CMAKE_SYSTEM_NAME}" MATCHES "OpenBSD|FreeBSD")
    set(MANDIR man/man8/)
else()
    set(MANDIR share/man/man8/)
endif()

option(INSTALL_BATCH_FILES "Generate .bat files during installation" ON)
install(FILES ${PROJECT_SOURCE_DIR}/man/man8/facter.8 DESTINATION ${MANDIR})
if (WIN32 AND INSTALL_BATCH_FILES)
  install(FILES ${PROJECT_SOURCE_DIR}/ext/windows/facter.bat DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
  install(FILES ${PROJECT_SOURCE_DIR}/ext/windows/facter_interactive.bat DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
  install(FILES ${PROJECT_SOURCE_DIR}/ext/windows/run_facter_interactive.bat DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
endif()

=== lib/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2.2)

# Get the HEAD SHA1 commit message
get_commit_string(LIBFACTER_COMMIT)

# Generate a file containing the above version numbers
configure_file (
    "version.h.in"
    "${CMAKE_CURRENT_LIST_DIR}/inc/facter/version.h"
)

# Generate a .gemspec file based on the above version numbers
configure_file (
    "gemspec.in"
    "${CMAKE_CURRENT_LIST_DIR}/../.gemspec"
)

# Set compiler-specific flags
set(CMAKE_CXX_FLAGS ${FACTER_CXX_FLAGS})
leatherman_logging_namespace("puppetlabs.facter")

# Set the common (platform-independent) sources
set(LIBFACTER_COMMON_SOURCES
    "src/cwrapper.cc"
    "src/facts/array_value.cc"
    "src/facts/collection.cc"
    "src/facts/external/execution_resolver.cc"
    "src/facts/external/json_resolver.cc"
    "src/facts/external/resolver.cc"
    "src/facts/external/text_resolver.cc"
    "src/facts/external/yaml_resolver.cc"
    "src/facts/map_value.cc"
    "src/facts/resolver.cc"
    "src/facts/resolvers/augeas_resolver.cc"
    "src/facts/resolvers/disk_resolver.cc"
    "src/facts/resolvers/dmi_resolver.cc"
    "src/facts/resolvers/ec2_resolver.cc"
    "src/facts/resolvers/filesystem_resolver.cc"
    "src/facts/resolvers/fips_resolver.cc"
    "src/facts/resolvers/gce_resolver.cc"
    "src/facts/resolvers/hypervisors_resolver.cc"
    "src/facts/resolvers/identity_resolver.cc"
    "src/facts/resolvers/kernel_resolver.cc"
    "src/facts/resolvers/ldom_resolver.cc"
    "src/facts/resolvers/load_average_resolver.cc"
    "src/facts/resolvers/memory_resolver.cc"
    "src/facts/resolvers/networking_resolver.cc"
    "src/facts/resolvers/operating_system_resolver.cc"
    "src/facts/resolvers/path_resolver.cc"
    "src/facts/resolvers/processor_resolver.cc"
    "src/facts/resolvers/ruby_resolver.cc"
    "src/facts/resolvers/ssh_resolver.cc"
    "src/facts/resolvers/system_profiler_resolver.cc"
    "src/facts/resolvers/timezone_resolver.cc"
    "src/facts/resolvers/uptime_resolver.cc"
    "src/facts/resolvers/virtualization_resolver.cc"
    "src/facts/resolvers/xen_resolver.cc"
    "src/facts/resolvers/zpool_resolver.cc"
    "src/facts/resolvers/zone_resolver.cc"
    "src/facts/resolvers/zfs_resolver.cc"
    "src/facts/cache.cc"
    "src/facts/scalar_value.cc"
    "src/logging/logging.cc"
    "src/ruby/aggregate_resolution.cc"
    "src/ruby/chunk.cc"
    "src/ruby/confine.cc"
    "src/ruby/fact.cc"
    "src/ruby/module.cc"
    "src/ruby/resolution.cc"
    "src/ruby/ruby.cc"
    "src/ruby/ruby_value.cc"
    "src/ruby/simple_resolution.cc"
    "src/util/scoped_file.cc"
    "src/util/string.cc"
    "src/util/config/config.cc"
    "src/util/yaml.cc"
)

# Set the POSIX sources if on a POSIX platform
if (UNIX)
    set(LIBFACTER_STANDARD_SOURCES
        "src/facts/posix/collection.cc"
        "src/facts/posix/identity_resolver.cc"
        "src/facts/posix/networking_resolver.cc"
        "src/facts/posix/operatingsystem_resolver.cc"
        "src/facts/posix/processor_resolver.cc"
        "src/facts/posix/ssh_resolver.cc"
        "src/facts/posix/timezone_resolver.cc"
        "src/facts/posix/uptime_resolver.cc"
        "src/facts/posix/xen_resolver.cc"
        "src/facts/posix/cache.cc"
        "src/util/posix/scoped_addrinfo.cc"
        "src/util/posix/scoped_descriptor.cc"
        "src/util/config/posix/config.cc"
    )
    if (OPENSSL_FOUND)
        set(LIBFACTER_STANDARD_SOURCES ${LIBFACTER_STANDARD_SOURCES} "src/util/posix/scoped_bio.cc")
    endif()

    if (NOT AIX)
        set(LIBFACTER_STANDARD_SOURCES
            ${LIBFACTER_STANDARD_SOURCES}
            "src/facts/posix/kernel_resolver.cc"
        )
    endif()
endif()

if (WIN32)
    set(LIBFACTER_STANDARD_SOURCES
        "src/facts/external/windows/powershell_resolver.cc"
        "src/facts/windows/collection.cc"
        "src/util/windows/wsa.cc"
    )
endif()

# Set the platform-specific sources
if (AIX)
    set(LIBFACTER_PLATFORM_SOURCES
        "src/facts/aix/collection.cc"
        "src/facts/aix/disk_resolver.cc"
        "src/facts/aix/filesystem_resolver.cc"
        "src/facts/aix/kernel_resolver.cc"
        "src/facts/aix/memory_resolver.cc"
        "src/facts/aix/networking_resolver.cc"
        "src/facts/aix/operating_system_resolver.cc"
        "src/facts/aix/processor_resolver.cc"
        "src/facts/aix/serial_number_resolver.cc"
    )

    set(LIBFACTER_PLATFORM_LIBRARIES
        odm
        lvm
    )
elseif ("${CMAKE_SYSTEM_NAME}" MATCHES "Darwin")
    set(LIBFACTER_PLATFORM_SOURCES
        "src/facts/bsd/filesystem_resolver.cc"
        "src/facts/bsd/networking_resolver.cc"
        "src/facts/bsd/uptime_resolver.cc"
        "src/facts/glib/load_average_resolver.cc"
        "src/facts/osx/dmi_resolver.cc"
        "src/facts/osx/networking_resolver.cc"
        "src/facts/osx/collection.cc"
        "src/facts/osx/memory_resolver.cc"
        "src/facts/osx/operating_system_resolver.cc"
        "src/facts/osx/processor_resolver.cc"
        "src/facts/osx/system_profiler_resolver.cc"
        "src/facts/osx/virtualization_resolver.cc"
        "src/util/bsd/scoped_ifaddrs.cc"
    )
elseif ("${CMAKE_SYSTEM_NAME}" MATCHES "SunOS")
    set(LIBFACTER_PLATFORM_SOURCES
        "src/facts/glib/load_average_resolver.cc"
        "src/facts/solaris/collection.cc"
        "src/facts/solaris/disk_resolver.cc"
        "src/facts/solaris/processor_resolver.cc"
        "src/facts/solaris/operating_system_resolver.cc"
        "src/facts/solaris/kernel_resolver.cc"
        "src/facts/solaris/filesystem_resolver.cc"
        "src/facts/solaris/dmi_resolver.cc"
        "src/facts/solaris/virtualization_resolver.cc"
        "src/facts/solaris/networking_resolver.cc"
        "src/facts/solaris/memory_resolver.cc"
        "src/facts/solaris/zfs_resolver.cc"
        "src/facts/solaris/zone_resolver.cc"
        "src/facts/solaris/zpool_resolver.cc"
        "src/facts/solaris/ldom_resolver.cc"
        "src/util/solaris/k_stat.cc"
        "src/util/solaris/scoped_kstat.cc"
    )
    set(LIBFACTER_PLATFORM_LIBRARIES
        kstat
        socket
        nsl
        rt
    )
elseif ("${CMAKE_SYSTEM_NAME}" MATCHES "Linux")
    set(LIBFACTER_PLATFORM_SOURCES
        "src/facts/bsd/networking_resolver.cc"
        "src/facts/glib/load_average_resolver.cc"
        "src/facts/linux/disk_resolver.cc"
        "src/facts/linux/dmi_resolver.cc"
        "src/facts/linux/filesystem_resolver.cc"
        "src/facts/linux/fips_resolver.cc"
        "src/facts/linux/kernel_resolver.cc"
        "src/facts/linux/memory_resolver.cc"
        "src/facts/linux/networking_resolver.cc"
        "src/facts/linux/operating_system_resolver.cc"
        "src/facts/linux/os_linux.cc"
        "src/facts/linux/uptime_resolver.cc"
        "src/facts/linux/collection.cc"
        "src/facts/linux/processor_resolver.cc"
        "src/facts/linux/virtualization_resolver.cc"
        "src/util/bsd/scoped_ifaddrs.cc"
    )
    set(LIBFACTER_PLATFORM_LIBRARIES
        ${BLKID_LIBRARIES}
        rt
    )
elseif ("${CMAKE_SYSTEM_NAME}" MATCHES "FreeBSD")
    set(LIBFACTER_PLATFORM_SOURCES
        "src/facts/freebsd/collection.cc"
        "src/facts/glib/load_average_resolver.cc"
        "src/facts/bsd/filesystem_resolver.cc"
        "src/facts/bsd/networking_resolver.cc"
        "src/facts/bsd/uptime_resolver.cc"
        "src/facts/freebsd/processor_resolver.cc"
        "src/facts/freebsd/dmi_resolver.cc"
        "src/facts/freebsd/networking_resolver.cc"
        "src/util/bsd/scoped_ifaddrs.cc"
        "src/facts/freebsd/zfs_resolver.cc"
        "src/facts/freebsd/zpool_resolver.cc"
        "src/facts/freebsd/virtualization_resolver.cc"
        "src/facts/freebsd/memory_resolver.cc"
        "src/facts/freebsd/operating_system_resolver.cc"
    )
elseif ("${CMAKE_SYSTEM_NAME}" MATCHES "OpenBSD")
    set(LIBFACTER_PLATFORM_SOURCES
        "src/facts/openbsd/collection.cc"
        "src/facts/glib/load_average_resolver.cc"
        "src/facts/bsd/filesystem_resolver.cc"
        "src/facts/bsd/networking_resolver.cc"
        "src/facts/bsd/uptime_resolver.cc"
        "src/facts/openbsd/dmi_resolver.cc"
        "src/facts/openbsd/networking_resolver.cc"
        "src/facts/openbsd/processor_resolver.cc"
        "src/util/bsd/scoped_ifaddrs.cc"
        "src/facts/openbsd/memory_resolver.cc"
        "src/facts/openbsd/virtualization_resolver.cc"
    )
elseif ("${CMAKE_SYSTEM_NAME}" MATCHES "Windows")
    set(LIBFACTER_PLATFORM_SOURCES
        "src/facts/windows/dmi_resolver.cc"
        "src/facts/windows/identity_resolver.cc"
        "src/facts/windows/kernel_resolver.cc"
        "src/facts/windows/memory_resolver.cc"
        "src/facts/windows/networking_resolver.cc"
        "src/facts/windows/operating_system_resolver.cc"
        "src/facts/windows/processor_resolver.cc"
        "src/facts/windows/timezone_resolver.cc"
        "src/facts/windows/uptime_resolver.cc"
        "src/facts/windows/virtualization_resolver.cc"
        "src/facts/windows/cache.cc"
        "src/util/config/windows/config.cc"
    )

    # The GetPerformanceInfo symbol has moved around a lot between Windows versions;
    # these options tie it to the backwards-compatible version.
    set(LIBFACTER_PLATFORM_LIBRARIES
        Psapi.lib
        Version.lib
        Wbemuuid.lib
        Secur32.lib
        Ws2_32.lib
        iphlpapi.lib
        userenv.lib
    )
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DPSAPI_VERSION=1")
endif()

if (WIN32)
    set(LIBFACTER_INSTALL_DESTINATION bin)
else()
    set(LIBFACTER_INSTALL_DESTINATION lib${LIB_SUFFIX})
endif()

if (JRUBY_SUPPORT)
    include_directories(${JNI_INCLUDE_DIRS})
    set(LIBFACTER_COMMON_SOURCES ${LIBFACTER_COMMON_SOURCES} src/java/facter.cc)

    configure_file(
        Facter.java.in
        "${CMAKE_BINARY_DIR}/lib/com/puppetlabs/Facter.java"
    )

    include(UseJava)
    add_jar(facter-jruby-jar "${CMAKE_BINARY_DIR}/lib/com/puppetlabs/Facter.java" OUTPUT_NAME facter OUTPUT_DIR "${CMAKE_BINARY_DIR}/lib" ENTRY_POINT com/puppetlabs/Facter)

    # javah does not atomically write the header file, so parallel builds can
    # read it before it finishes writing if not careful.
    add_custom_command(OUTPUT "${CMAKE_CURRENT_LIST_DIR}/src/java/com_puppetlabs_Facter.h"
                       COMMAND javah ARGS -classpath facter.jar -d "${CMAKE_CURRENT_LIST_DIR}/src/java" com.puppetlabs.Facter
                       WORKING_DIRECTORY "${CMAKE_BINARY_DIR}/lib"
                       DEPENDS facter-jruby-jar)
    # Anything that depends on facter-jruby wants both the jar AND the completely written header.
    add_custom_target(facter-jruby DEPENDS facter-jruby-jar "${CMAKE_CURRENT_LIST_DIR}/src/java/com_puppetlabs_Facter.h")
    set(LIBFACTER_COMMON_SOURCES ${LIBFACTER_COMMON_SOURCES} src/java/com_puppetlabs_Facter.h)
endif()

# Set include directories
include_directories(
    inc
    ${Boost_INCLUDE_DIRS}
    ${OPENSSL_INCLUDE_DIRS}
    ${YAMLCPP_INCLUDE_DIRS}
    ${CURL_INCLUDE_DIRS}
    ${LEATHERMAN_INCLUDE_DIRS}
    ${CPPHOCON_INCLUDE_DIRS}
)

link_directories(
    ${Boost_LIBRARY_DIRS}
    ${OPENSSL_LIBRARY_DIRS}
    ${YAMLCPP_LIBRARY_DIRS}
    ${CURL_LIBRARY_DIRS}
    ${CPPHOCON_LIBRARY_DIRS}
    ${WHEREAMI_LIBRARY_DIRS}
)

# Add the library target without a prefix (name already has the 'lib') and use '.so' for all platforms (Ruby extension file extension)
add_library(libfactersrc OBJECT ${LIBFACTER_COMMON_SOURCES} ${LIBFACTER_STANDARD_SOURCES} ${LIBFACTER_PLATFORM_SOURCES})
set_target_properties(libfactersrc PROPERTIES POSITION_INDEPENDENT_CODE true)
add_library(libfacter $<TARGET_OBJECTS:libfactersrc>)
if (BUILD_SHARED_LIBS)
    set_target_properties(libfacter PROPERTIES PREFIX "" SUFFIX ".so" IMPORT_PREFIX "" IMPORT_SUFFIX ".so.a" VERSION ${PROJECT_VERSION})
endif()

if(AIX)
    # On AIX we need to be built such that we are "dynamically
    # loadable". This also means specifying an entry point, which for
    # a ruby module should be our ruby init fn.

=== lib/tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2.2)

find_package(Ruby 1.9)

# Set the common (platform-independent) sources
set(LIBFACTER_TESTS_COMMON_SOURCES
    "facts/array_value.cc"
    "facts/boolean_value.cc"
    "facts/double_value.cc"
    "facts/external/json_resolver.cc"
    "facts/external/text_resolver.cc"
    "facts/external/yaml_resolver.cc"
    "facts/collection.cc"
    "facts/integer_value.cc"
    "facts/map_value.cc"
    "facts/resolvers/augeas_resolver.cc"
    "facts/resolvers/disk_resolver.cc"
    "facts/resolvers/dmi_resolver.cc"
    "facts/resolvers/filesystem_resolver.cc"
    "facts/resolvers/identity_resolver.cc"
    "facts/resolvers/kernel_resolver.cc"
    "facts/resolvers/ldom_resolver.cc"
    "facts/resolvers/memory_resolver.cc"
    "facts/resolvers/networking_resolver.cc"
    "facts/resolvers/operating_system_resolver.cc"
    "facts/resolvers/processor_resolver.cc"
    "facts/resolvers/ruby_resolver.cc"
    "facts/resolvers/ssh_resolver.cc"
    "facts/resolvers/system_profiler_resolver.cc"
    "facts/resolvers/timezone_resolver.cc"
    "facts/resolvers/uptime_resolver.cc"
    "facts/resolvers/virtualization_resolver.cc"
    "facts/resolvers/xen_resolver.cc"
    "facts/resolvers/zfs_resolver.cc"
    "facts/resolvers/zone_resolver.cc"
    "facts/resolvers/zpool_resolver.cc"
    "facts/schema.cc"
    "facts/cache.cc"
    "facts/string_value.cc"
    "logging/logging.cc"
    "log_capture.cc"
    "main.cc"
    "util/string.cc"
    "fixtures.cc"
    "collection_fixture.cc"
    "cwrapper.cc"
)

# Set compiler-specific flags
set(CMAKE_CXX_FLAGS ${FACTER_CXX_FLAGS})

# Add the ruby tests if there's a ruby installed
if (RUBY_FOUND)
    set(LIBFACTER_TESTS_COMMON_SOURCES
        ${LIBFACTER_TESTS_COMMON_SOURCES}
        "ruby/ruby.cc"
        "ruby/ruby_dirfacts.cc"
        "ruby/ruby_helper.cc")

    if (WIN32)
        set(LIBFACTER_TESTS_COMMON_SOURCES
            ${LIBFACTER_TESTS_COMMON_SOURCES}
            "ruby/windows/ruby.cc")
    endif()
endif()

# Set the POSIX sources if on a POSIX platform
if (UNIX)
    set(LIBFACTER_TESTS_CATEGORY_SOURCES
        "facts/posix/collection.cc"
        "facts/posix/uptime_resolver.cc"
        "facts/external/posix/execution_resolver.cc"
        "util/posix/scoped_addrinfo.cc"
        "util/posix/scoped_descriptor.cc"
    )
    if (OPENSSL_FOUND)
        set(LIBFACTER_TESTS_CATEGORY_SOURCES ${LIBFACTER_TESTS_CATEGORY_SOURCES} "util/posix/scoped_bio.cc")
    endif()

     set(POSIX_TESTS_LIBRARIES ${POSIX_LIBRARIES})
endif()

set(LIBFACTER_TESTS_PLATFORM_LIBRARIES
    ${LIBFACTER_PLATFORM_LIBRARIES}
)

if (WIN32)
    list(APPEND LIBFACTER_TESTS_PLATFORM_LIBRARIES Mswsock)
endif()

if (WIN32)
    set(LIBFACTER_TESTS_CATEGORY_SOURCES
        "facts/windows/collection.cc"
        "facts/windows/networking_resolver.cc"
        "facts/external/windows/execution_resolver.cc"
        "facts/external/windows/powershell_resolver.cc"
    )
endif()

# Set the platform-specific sources
if ("${CMAKE_SYSTEM_NAME}" MATCHES "Darwin")
    set(LIBFACTER_TESTS_PLATFORM_SOURCES
        "util/bsd/scoped_ifaddrs.cc"
    )
elseif ("${CMAKE_SYSTEM_NAME}" MATCHES "Linux")
    set(LIBFACTER_TESTS_PLATFORM_SOURCES
        "facts/linux/dmi_resolver.cc"
        "facts/linux/filesystem_resolver.cc"
        "facts/linux/virtualization_resolver.cc"
        "facts/linux/processor_fixture.cc"
        "facts/linux/processor_resolver.cc"
        "util/bsd/scoped_ifaddrs.cc"
    )
endif()

if (JRUBY_SUPPORT)
    include_directories(${JNI_INCLUDE_DIRS})
    set(LIBFACTER_TESTS_COMMON_SOURCES ${LIBFACTER_TESTS_COMMON_SOURCES} java/facter.cc)
endif()

include_directories(
    ../inc
    ${Boost_INCLUDE_DIRS}
    ${OPENSSL_INCLUDE_DIRS}
    ${YAMLCPP_INCLUDE_DIRS}
    ${LEATHERMAN_CATCH_INCLUDE}
    ${CPPHOCON_INCLUDE_DIRS}
)

# On EL 4, we run into a linking error when trying to create libraries or
# executables that link in a static library with code using threads. As I
# described in https://gcc.gnu.org/ml/gcc-help/2015-08/msg00035.html, we get
# the error undefined reference to symbol '__tls_get_addr@@GLIBC_2.3'.
# Build mock_server as a separate shared library to avoid this error.
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated-declarations")
add_library(mock-server SHARED mock_server.cc)
target_link_libraries(mock-server PRIVATE
    ${Boost_THREAD_LIBRARY}
    ${Boost_SYSTEM_LIBRARY}
    ${LIBFACTER_TESTS_PLATFORM_LIBRARIES})

add_executable(libfacter_test $<TARGET_OBJECTS:libfactersrc>
    ${LIBFACTER_TESTS_COMMON_SOURCES}
    ${LIBFACTER_TESTS_PLATFORM_SOURCES}
    ${LIBFACTER_TESTS_CATEGORY_SOURCES})
# On Windows, mock-server comes after Boost libraries to avoid double
# definition of boost::system::system_category() on Windows. On Linux, it
# comes before to avoid picking up incomplete Boost.Asio symbols included
# by Boost.Log in Leatherman logging.
if (WIN32)
    target_link_libraries(libfacter_test
        ${LIBS}
        ${LIBFACTER_TESTS_PLATFORM_LIBRARIES}
        mock-server)
else()
    target_link_libraries(libfacter_test
        mock-server
        ${LIBS}
        ${LIBFACTER_TESTS_PLATFORM_LIBRARIES})
endif()

if (${CMAKE_SYSTEM_NAME} MATCHES "Darwin" AND BOOST_STATIC AND LEATHERMAN_USE_LOCALES)
    target_link_libraries(libfacter_test iconv)
endif()

target_compile_definitions(libfacter_test PRIVATE "-Dlibfacter_EXPORTS")

# Generate a file containing the path to the fixtures
configure_file (
    "fixtures.hpp.in"
    "${CMAKE_CURRENT_LIST_DIR}/fixtures.hpp"
)

## facter 1.5.8

=== debian/changelog ===
facter (1.5.8-2ubuntu2) natty; urgency=low

  * lib/facter/ec2.rb: Use the latest-meta api so it always
    does not return false. (LP: #732953) 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 04 Apr 2011 11:34:30 -0400

facter (1.5.8-2ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Dropped ruby-pkg-tools and libsetup-ruby1.8, we dont want ruby-pkg-tools
      in main. (LP: #408402)

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 08 Feb 2011 00:18:35 +0000

facter (1.5.8-2) unstable; urgency=low

  * Release for unstable

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 07 Feb 2011 05:56:53 +0000

facter (1.5.8-1) experimental; urgency=low

  [Puppet Labs]
  * New upstream version

  [ Micah Anderson ]
  * debian/control: add Vcs-Git, Vcs-Browser, and Homepage fields
  * debian/control: bump standards version: no changes
  * debian/NEWS: fix lintian syntax-error-in-debian-news-file
  * debian/facter.8: fix manpage-section-mismatch

  [ Stig Sandbeck Mathisen ]
  * Fix "upgrade from 1.3.5 to 1.5.1 requires puppet to be restarted",
    added a note in debian/NEWS about restarting puppet (Closes: #515726)
  * debian/NEWS: Update to warn of changes in facter API
    (Closes: #499869)
  * Add versioned dependency for ruby1.8 (Closes: #545867)
  * Cherry-pick domain/fqdn fact fix from upstream (Closes: #515591)
  * debian/control: Bump standards version (again), no changes
  * debian/control: Remove unused build dependency on "cdbs"
  * debian/source/format: Use "3.0 (quilt)"

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 01 Dec 2010 16:02:13 +0100

facter (1.5.7-3ubuntu1) natty; urgency=low

  * Merge from debian unstable, remaining changes are:
    - Dropped ruby-pkg-tools and libsetup-ruby1.8, we dont want ruby-pkg-tools 
      in main. (LP: #408402)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 10 Jan 2011 11:25:00 -0500

facter (1.5.7-3) unstable; urgency=low

  * Remove unnecessary alternate dependency on libopenssl-ruby1.9 
  * Fix 1.5.7-2 changelog, correcting bug number for #545867

 -- Micah Anderson <micah@debian.org>  Fri, 17 Dec 2010 12:17:49 -0500

facter (1.5.7-2) unstable; urgency=low

  [ Stig Sandbeck Mathisen ]
  * Fix "upgrade from 1.3.5 to 1.5.1 requires puppet to be restarted",
    added a note in debian/NEWS about restarting puppet (Closes: #515726)
  * debian/control: bump standards version: no changes
  * debian/control: Remove unused build dependency on "cdbs"
  * Add versioned dependency for ruby1.8 (Closes: #545867)
  * Cherry-pick domain/fqdn fact fix from upstream (Closes: #515591)

  [ Micah Anderson ]
  * debian/control: add Vcs-Git, Vcs-Browser, and Homepage fields
  * debian/NEWS: fix lintian syntax-error-in-debian-news-file
  * debian/facter.8: fix manpage-section-mismatch
  * cherry pick upstream virtualization support:
    . openvz fix [#4156]
    . add kvm support (Closes: #603001)
    . fix Linux-Vserver of virtual fact [#3397]
    . add xendomains fact

 -- Micah Anderson <micah@debian.org>  Wed, 15 Dec 2010 00:21:46 -0500

facter (1.5.7-1ubuntu1) maverick; urgency=low

  * Merge from debian testing.  Remaining changes:
    - Dropped ruby-pkg-tools, and libsetup-ruby1.8, and cdbs, use what
      we had in lucid. Since we dont want ruby-pkg-tools in main
      (LP: #408402)

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 26 Mar 2010 16:14:26 +0000

facter (1.5.7-1) unstable; urgency=low

  * New upstream version 1.5.7
  * Migrate packaging to git-buildpackage

 -- Nigel Kersten <nigel@explanatorygap.net>  Fri, 29 Jan 2010 09:57:40 -0800

facter (1.5.6-3) UNRELEASED; urgency=low

  [ Micah Anderson ]
  * Switch the Depends priority from 'host | bind9-host' as the
    'host' package is really old and may be removed soon from the
    archive. It also doesn't provide many newer functionality.

  [ Andrew Pollock ]
  * Recommend pciutils instead of depending on it (closes: #545866)

  [ Stig Sandbeck Mathisen ]
  * Add manpage for facter (Closes: #377123)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 25 Dec 2009 00:41:25 +0100

facter (1.5.6-2ubuntu2) lucid; urgency=low

  * Dropped ruby-pkg-tools, and libsetup-ruby1.8, and cdbs, use what 
    we had in karmic. Since we dont want ruby-pkg-tools in main. 
    (LP: #408402)

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 26 Mar 2010 08:34:25 -0400

facter (1.5.6-2ubuntu1) lucid; urgency=low

  * Merge from debian testing, remaining changes:
    - Use bind9-host9 only.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Nov 2009 00:52:19 +0000

facter (1.5.6-2) unstable; urgency=low

  * Added depends possibility on libopenssl-ruby1.9
  * Switch from install.rb to using the standardized Debian ruby CDBS
    classes to use setup.rb. This stops the munging of the shebang
    to a specific ruby version, as facter works with both 1.8 and 1.9
  * Install facter library dependencies in ruby version neutral
    directory: /usr/lib/ruby/vendor_ruby
  * Add depends on libsetup-ruby1.8, ruby-pkg-tools and cdbs

 -- Micah Anderson <micah@debian.org>  Tue, 30 Jun 2009 00:21:23 -0400

facter (1.5.6-1) unstable; urgency=low

  * New upsream release
  * Add myself to uploaders
  * Bumped Standards-Version (no changes)
  * Added versioned build-depends on debhelper 5

 -- Micah Anderson <micah@debian.org>  Mon, 29 Jun 2009 22:53:18 -0400

facter (1.5.4-1ubuntu1) karmic; urgency=low

  * Use bind9-host9 only. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 03 Aug 2009 09:51:59 -0400

facter (1.5.4-1) unstable; urgency=low

  [ Nigel Kersten ]
  * New upstream release
  * Switch maintainer to pkg-puppet-devel list
  * Modify uploaders
  * Update watch file regexp to exclude release canditate tarballs
  * Use upstream install.rb script to build rather than copying manually

  [ Andrew Pollock ]
  * debian/control: add libopenssl-ruby to build dependencies
  * debian/control: bump Standards-Version (no changes)
  * debian/compat: increase to 5
  * debian/control: add pciutils and ${misc:Depends} to dependencies



=== debian/control ===
Source: facter
Section: admin
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
Uploaders: Andrew Pollock <apollock@debian.org>, Nigel Kersten <nigelk@explanatorygap.net>, Micah Anderson <micah@debian.org>,  Stig Sandbeck Mathisen <ssm@debian.org>
Build-Depends: debhelper (>= 5.0.0), ruby (>= 1.8), libopenssl-ruby
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-puppet/facter.git
Vcs-Browser: http://git.debian.org/?p=pkg-puppet/facter.git
Homepage: http://projects.puppetlabs.com/projects/facter


Package: facter
Architecture: all
Depends: ruby1.8 (>= 1.8.7.72-3lenny1), net-tools, bind9-host | host, libopenssl-ruby1.8 | libopenssl-ruby1.9, ${misc:Depends}
Recommends: pciutils
Description: a library for retrieving facts from operating systems
 A cross-platform Ruby library for retrieving facts from operating systems.
 Supports multiple resolution mechanisms, any of which can be restricted to
 working only on certain operating systems or environments. Facter is
 especially useful for retrieving things like operating system names, IP
 addresses, MAC addresses, and SSH keys.
 .
 It is easy to extend Facter to include your own custom facts or to include
 additional mechanisms for retrieving facts.

## facter 1.5.9

=== debian/changelog ===
facter (1.5.9-1ubuntu1.1) oneiric-proposed; urgency=low

  * debian/patches/reload_all_facts.patch: Reload all facts if the
    requested fact is not found.  Ensures consistency after facts
    have been cleared. (LP: #876130)

 -- Adam Gandelman <adamg@canonical.com>  Tue, 18 Oct 2011 16:23:06 -0700

facter (1.5.9-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable (LP: #788284).  Remaining changes:
    - Dropped ruby-pkg-tools and libsetup-ruby1.8; debian/rules: use what we
      had in natty; we dont want ruby-pkg-tools in main. (LP: #408402)
  * Dropped changes to lib/facter/ec2.rb. (Use the latest-meta api so it
    always does not retunr false). This was fixed upstream.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 27 May 2011 11:27:00 +0100

facter (1.5.9-1) unstable; urgency=low

  * New upstream release
  * Rewrite package description a bit to please lintian
  * Bump Standards-Version (no changes)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 22 May 2011 13:43:16 +0200

facter (1.5.9~rc2-1) experimental; urgency=low

  * New upstream release candidate (Closes: #549616, #590498)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 18 Mar 2011 12:06:08 +0100

=== debian/control ===
Source: facter
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
Uploaders: Andrew Pollock <apollock@debian.org>, Nigel Kersten <nigel@explanatorygap.net>, Micah Anderson <micah@debian.org>, Stig Sandbeck Mathisen <ssm@debian.org>
Build-Depends: debhelper (>= 5.0.0), ruby (>= 1.8), libopenssl-ruby
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-puppet/facter.git
Vcs-Browser: http://git.debian.org/?p=pkg-puppet/facter.git
Homepage: http://projects.puppetlabs.com/projects/facter


Package: facter
Architecture: all
Depends: ruby1.8 (>= 1.8.7.72-3lenny1), net-tools, bind9-host | host, libopenssl-ruby1.8 | libopenssl-ruby1.9, ${misc:Depends}
Recommends: pciutils
Description: library for retrieving facts from operating systems
 A cross-platform Ruby library for retrieving facts from operating systems.
 Supports multiple resolution mechanisms, any of which can be restricted to
 working only on certain operating systems or environments. Facter is
 especially useful for retrieving things like operating system names, IP
 addresses, MAC addresses, and SSH keys.
 .
 It is easy to extend Facter to include your own custom facts or to include
 additional mechanisms for retrieving facts.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(CURDIR)/install.rb --destdir=$(CURDIR)/debian/facter/ \
                --bindir=/usr/bin \
                --sbindir=/usr/sbin \
                --sitelibdir=/usr/lib/ruby/1.8

# Build architecture-dependent files here.
binary-arch: build install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG
	dh_installdocs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## facter 1.6.0

=== debian/changelog ===
facter (1.6.0-1) unstable; urgency=low

  * New upstream release
  * New packaging to support multiple ruby versions
  * Upstream license change
  * Update man page

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 24 Jun 2011 10:04:12 +0200

## facter 1.6.1

=== debian/changelog ===
facter (1.6.1-1) unstable; urgency=low

  * New upstream release
  * Use upstream tarball instead of git tag

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 06 Oct 2011 10:48:30 +0200

=== debian/control ===
Source: facter
Section: admin
Priority: optional
Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
Uploaders: Andrew Pollock <apollock@debian.org>, Nigel Kersten <nigel@explanatorygap.net>, Micah Anderson <micah@debian.org>, Stig Sandbeck Mathisen <ssm@debian.org>
Build-Depends: debhelper (>= 8), gem2deb (>= 0.2.4~)
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-puppet/facter.git
Vcs-Browser: http://git.debian.org/?p=pkg-puppet/facter.git
Homepage: http://projects.puppetlabs.com/projects/facter
XS-Ruby-Versions: all

Package: facter
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${misc:Depends}, ruby | ruby-interpreter, ruby-json, net-tools, bind9-host | host
Recommends: pciutils
Description: collect and display facts about the system
 A cross-platform Ruby library for retrieving facts from operating systems.
 Supports multiple resolution mechanisms, any of which can be restricted to
 working only on certain operating systems or environments. Facter is
 especially useful for retrieving things like operating system names, IP
 addresses, MAC addresses, and SSH keys.
 .
 It is easy to extend Facter to include your own custom facts or to include
 additional mechanisms for retrieving facts.

## facter 1.6.2

=== debian/changelog ===
facter (1.6.2-1) unstable; urgency=low

  * New upstream release

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 12 Oct 2011 11:29:53 +0200

## facter 1.6.3

=== debian/changelog ===
facter (1.6.3-1) unstable; urgency=low

  * New upstream release

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 22 Nov 2011 21:44:38 +0100

## facter 1.6.4

=== debian/changelog ===
facter (1.6.4-2) unstable; urgency=low

  * Move dmidecode from Depends to Recommends (Closes: #651501)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 09 Dec 2011 09:40:16 +0100

facter (1.6.4-1) unstable; urgency=low

  * New upstream release
  * Add dependency on dmidecode

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 08 Dec 2011 01:19:09 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
 Depends: ${misc:Depends}, ruby | ruby-interpreter, ruby-json, net-tools, bind9-host | host
-Recommends: pciutils
+Recommends: pciutils, dmidecode
 Description: collect and display facts about the system
  A cross-platform Ruby library for retrieving facts from operating systems.
  Supports multiple resolution mechanisms, any of which can be restricted to

## facter 1.6.5

=== debian/changelog ===
facter (1.6.5-1ubuntu1.2) precise; urgency=low

  * d/p/thread-critical-freeze: fix "puppet apply" hang by avoiding
    unnecessary thread critical sections (LP: #986973).

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 02 Jul 2013 03:21:36 +0000

facter (1.6.5-1ubuntu1.1) precise; urgency=low

  * d/p/kvm-cpuinfo: detect "Common KVM processor" in /proc/cpuinfo as virtual
    (LP: #1170325).
  * Add dep8 smoke test.

 -- Robie Basak <robie.basak@canonical.com>  Mon, 20 May 2013 10:59:11 +0000

facter (1.6.5-1ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - debian/rules: use what we had in natty; we don't want ruby-pkg-tools
      in main. (LP: #408402)
    - debian/control: Continue using ruby + libopenssl-ruby as Build-Depends
      even tho Debian has moved to gem2deb (not in main). Move ruby-json to
      Suggests.
    - debian/rules: Use dh_prep instead of dh_clean, add build-arch +
      build-indep targets
    - debian/control: Make binary package depend on ruby1.8 explicitly

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 12 Feb 2012 20:40:24 -0500

facter (1.6.5-1) unstable; urgency=low

  * New upstream release

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 26 Jan 2012 11:11:13 +0100

facter (1.6.4-2ubuntu1) precise; urgency=low

  * Merge from Debian testing (LP: #922788). Remaining changes:
    - debian/rules: use what we had in natty; we don't want ruby-pkg-tools
      in main. (LP: #408402)
    - debian/control: Continue using ruby + libopenssl-ruby as Build-Depends
      even tho Debian has moved to gem2deb (not in main). Move ruby-json to
      Suggests.
    - debian/rules: Use dh_prep instead of dh_clean, add build-arch +
      build-indep targets
    - debian/control: Make binary package depend on ruby1.8 explicitly.
  * Dropped changes:
    - debian/control: Update debhelper Build-Depends to 8 (Updated in Debian)

 -- Adam Gandelman <adamg@canonical.com>  Fri, 27 Jan 2012 11:05:12 -0800

facter (1.6.2-1ubuntu1) precise; urgency=low

  * Merge from Debian testing (LP: #888671).  Remaining changes:
    - debian/rules: use what we had in natty; we don't want ruby-pkg-tools
      in main. (LP: #408402)
    - debian/control: Continue using ruby + libopenssl-ruby as Build-Depends
      even tho Debian has moved to gem2deb (not in main). Move ruby-json to
      Suggests.
  * debian/rules: Use dh_prep instead of dh_clean, add build-arch + build-indep
    targets
  * debian/control: Update debhelper Build-Depends to 8, make binary package
    depend on ruby1.8 explicitly.

 -- Adam Gandelman <adamg@canonical.com>  Thu, 10 Nov 2011 10:11:05 -0800

facter (1.6.1-1ubuntu1) precise; urgency=low

  * Merge from Debian unstable (LP: #877621). Remaining changes:
    - debian/rules: use what we had in natty; we don't want ruby-pkg-tools
      in main. (LP: #408402)
  * debian/control: Continue using ruby + libopenssl-ruby as Build-Depends
    even tho Debian has moved to gem2deb (not in main). Move ruby-json to
    Suggests.

 -- Adam Gandelman <adamg@canonical.com>  Tue, 18 Oct 2011 10:32:42 -0700

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,23 @@
 Source: facter
 Section: admin
 Priority: optional
-Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
 Uploaders: Andrew Pollock <apollock@debian.org>, Nigel Kersten <nigel@explanatorygap.net>, Micah Anderson <micah@debian.org>, Stig Sandbeck Mathisen <ssm@debian.org>
-Build-Depends: debhelper (>= 8), gem2deb (>= 0.2.4~)
+Build-Depends: debhelper (>= 8), ruby (>= 1.8), libopenssl-ruby
 Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/pkg-puppet/facter.git
 Vcs-Browser: http://git.debian.org/?p=pkg-puppet/facter.git
 Homepage: http://projects.puppetlabs.com/projects/facter
 XS-Ruby-Versions: all
+XS-Testsuite: autopkgtest
 
 Package: facter
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
-Depends: ${misc:Depends}, ruby | ruby-interpreter, ruby-json, net-tools, bind9-host | host
+Depends: ${misc:Depends}, ruby1.8, net-tools, bind9-host | host
 Recommends: pciutils, dmidecode
+Suggests: ruby-json
 Description: collect and display facts about the system
  A cross-platform Ruby library for retrieving facts from operating systems.
  Supports multiple resolution mechanisms, any of which can be restricted to

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,9 @@
 	touch configure-stamp
 
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: configure-stamp 
 	dh_testdir
 	touch build-stamp
@@ -32,7 +34,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep 
 	dh_installdirs
 
 	$(CURDIR)/install.rb --destdir=$(CURDIR)/debian/facter/ \
@@ -49,6 +51,7 @@
 	dh_testroot
 	dh_installchangelogs CHANGELOG
 	dh_installdocs
+	dh_installman
 	dh_compress
 	dh_fixperms
 	dh_installdeb

## facter 1.6.6

=== debian/changelog ===
facter (1.6.6-1) unstable; urgency=low

  * New upstream release

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 27 Feb 2012 16:45:49 +0100

## facter 1.6.9

=== debian/changelog ===
facter (1.6.9-2~bpo60+2) squeeze-backports; urgency=medium

  * Backport to squeeze-backports.

 -- Micah Anderson <micah@debian.org>  Wed, 30 May 2012 11:51:30 -0400

facter (1.6.9-2) unstable; urgency=medium

  * Add patch from upstream (b050eb1) to ignore LSB noise

 -- Micah Anderson <micah@debian.org>  Wed, 30 May 2012 11:26:27 -0400

facter (1.6.9-1) unstable; urgency=low

  * New upstream release

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 18 May 2012 15:42:48 +0200

facter (1.6.8-1) unstable; urgency=low

  * Imported Upstream version 1.6.8

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 01 May 2012 18:16:20 +0200

facter (1.6.7-1) unstable; urgency=low

  * Imported Upstream version 1.6.7
  * Bump standards version (no changes)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 30 Mar 2012 22:47:22 +0200

=== debian/control ===
Source: facter
Section: admin
Priority: optional
Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
Uploaders: Andrew Pollock <apollock@debian.org>, Nigel Kersten <nigel@explanatorygap.net>, Micah Anderson <micah@debian.org>, Stig Sandbeck Mathisen <ssm@debian.org>
Build-Depends: debhelper (>= 8), gem2deb (>= 0.2.4~)
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-puppet/facter.git
Vcs-Browser: http://git.debian.org/?p=pkg-puppet/facter.git
Homepage: http://projects.puppetlabs.com/projects/facter
XS-Ruby-Versions: all

Package: facter
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${misc:Depends}, ruby | ruby-interpreter, ruby-json, net-tools, bind9-host | host
Recommends: pciutils, dmidecode
Description: collect and display facts about the system
 A cross-platform Ruby library for retrieving facts from operating systems.
 Supports multiple resolution mechanisms, any of which can be restricted to
 working only on certain operating systems or environments. Facter is
 especially useful for retrieving things like operating system names, IP
 addresses, MAC addresses, and SSH keys.
 .
 It is easy to extend Facter to include your own custom facts or to include
 additional mechanisms for retrieving facts.

## facter 1.6.10

=== debian/changelog ===
facter (1.6.10-1) unstable; urgency=low

  * New upstream release
  * Remove upstream LSB patch included in this release

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 24 Jun 2012 13:01:40 +0200
